Acabo de descargar Ubuntu. Se ejecuta mucho más rápido que mi Windows XP. Pero, no sé cómo puedo configurar Eclipse v4.2 (Juno), o el SDK de Java. Estoy desarrollando actualmente en el Ligero Juego Java de la Biblioteca, así que puede ser que necesite un poco de ayuda con eso.

  • ¿por qué es esta la etiqueta de opengl?
InformationsquelleAutor petergood | 2012-08-09

6 Comentarios

  1. 2

    Usted puede ser que desee considerar la instalación de Sun Java 6 para su programación Java necesidades; me corrija si estoy equivocado, pero tengo la sensación de que OpenJDK todavía puede estar ausente en algunas bibliotecas y compatibilidades.

    Si quieres instalar Java 6 en su máquina, usted puede seguir esta guía sobre cómo hacerlo: https://codingforme.wordpress.com/2012/05/14/installing-oracle-java-jdk-6-or-7-on-ubuntu-12-04/

    • No he experimentado ningún carecen de funcionalidad/bibliotecas de OpenJDK. Es mi experiencia que la gran colaboradores de la open software foundation es generalmente de muy mucho en la parte superior de las cosas cuando se trata de las cosas más importantes, tales como la funcionalidad y la seguridad. Si usted tiene algunas bases para su sentimiento en las fallas con OpenJDK yo estaría muy interesado en ver. Durante mucho tiempo he instalado y utilizado sudo update-alternatives --config java periódicamente cambiar entre los dos para identificar cual era el que mejor funcionaba.
  2. 13

    Ejecutar esto en el terminal:

    sudo apt-get install eclipse
    sudo apt-get install openjdk-6-jdk openjdk-6-source openjdk-6-demo openjdk-6-doc openjdk-6-jre-headless openjdk-6-jre-lib 

    El primero instala Eclipse (se le pedirá que introduzca su contraseña), y el segundo, instala todas las cosas de Java puede que necesite!

    • Cuando yo ejecuto en mi terminal, me sale esto: E: dpkg se interrumpió, debe ejecutar manualmente ‘sudo dpkg –configure -a» para corregir el problema.
    • intenta ejecutando sudo dpkg --configure -a como se dijo?
    • No, he encontrado una mejor manera! De todos modos, yo uso NetBeans ahora!
    • sólo hay una buena vim -;)
    • Para JDK7 su bastante mucho la misma: sudo apt-get install openjdk-7-jdk openjdk-7-fuente de openjdk-7-demo openjdk-7-doc openjdk-7-jre-headless openjdk-7-jre-lib
    • Probablemente debería instalar openjdk antes de eclipse.
    • probablemente, para la jre, puede utilizar sudo apt-get install default-jre. jdk no sería necesario para ejecutar eclipse (a menos que también se quiere compilar eclipse, etc..). La ex república yugoslava de – digitalocean.com/community/tutorials/…

  3. 9

    No instalar Eclipse desde los repositorios de Linux. Estos repositorios pueden no estar actualizados con las últimas versiones de Eclipse. Un mejor enfoque es seguir las instrucciones en esta respuesta de Ask Ubuntu. Para la programación en Java, asegúrese de que usted tiene un JDK y el JRE instalado

    apt-get install openjdk-7-jdk openjdk-7-jre

    Usted puede descargar cualquier Eclipse IDE de Java versión mejor se adapte a ti desde el sitio web de Eclipse (enlace para el Eclipse v4.4 (Luna) versión).

    • No JDK también contienen el JRE? Yo creo que la segunda parte de su comando es innecesario.
    • Sólo he instalado el JRE y fue suficiente para ejecutar Eclipse 4.5, utilizando sudo apt-get install openjdk-7-jre
  4. 3

    De instalación de Java en Ubuntu:

    1. sudo add-apt-repository ppa:webupd8team/java
    2. sudo apt-get update
    3. sudo apt-get install oracle-java8-instalador

    Eclipse IDE instalación en Ubuntu:

    Ya que requiere de una lista detallada de los pasos, le sugiero que visite el blog Instalar Eclipse IDE Marte en Linux Ubuntu para retirar los pasos para instalar Eclipse en Linux Ubuntu.

  5. 2

    Realmente no instalar Eclipse – usted sólo tiene que descargar la carpeta y ejecutar el programa, igual que en windows. Sólo asegúrese de que usted descargue una versión de Linux.

    Para instalar el JDK, tipo:

    sudo apt-get install openjdk-6-jdk

    Se le pedirá que escriba su contraseña antes de que comience la instalación. También puede instalar el JDK a través del administrador de software.

    • para abrir el navegador (o wget – lo que sea) va a ser mucho más lento, a continuación, escriba mi comando de arriba 😉 y al instalar el paquete de ubuntu fuentes que se va a notar si una actualización está disponible y se puede instalar fácilmente con sudo apt-get update && sudo apt-get upgrade (se actualiza todos los paquetes ;))
    • La versión del repositorio, es por lo general un número de años más antigua que la versión descargada de eclipse.org. Actualmente el apt-get update versión 3.8, 4 años de edad en el Ubuntu 14.04 repositorio. Es más fácil conseguir el apoyo de la comunidad de Eclipse cuando se ejecuta una versión posterior. Todo lo necesario para ejecutar Eclipse viene con el paquete de descarga, excepto para el usuario del JDK de preferencia que se puede instalar con apt-get proporcionada en esta respuesta. La última versión a día de hoy es de 4.5.
    • Yo sé. Es una zona tranquila viejo post, aunque … Si usted realmente necesita una versión más reciente es sin duda el mejor para ir para el vendedor de sí mismo.
  6. 2

    Simplemente quitar todos los paquetes de Eclipse escribir:

    sudo apt-get autoremove eclipse

    Y con ficha encuentran instalados todos los paquetes de Eclipse.

    Hacer lo mismo con Java.

    Acabo de reinstalar Eclipse con el comando

    sudo apt-get install eclipse

    que también contiene Java.

Dejar respuesta

Please enter your comment!
Please enter your name here